Stores
Get Store Products
Get store products
GET
/
stores
/
{store_id}
/
products
Get Store Products
curl --request GET \
--url https://api-dev.monyfix.tech/stores/{store_id}/products \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-dev.monyfix.tech/stores/{store_id}/products"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-dev.monyfix.tech/stores/{store_id}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"price": 123,
"is_active": true,
"quantity": 123,
"store": {
"id": 123,
"name": "<string>",
"is_blogger": true,
"seller_type": "<string>",
"logo_url": "<string>"
},
"format_price": "<string>",
"platform_price": 123,
"detail_desc": "<string>",
"sku": "<string>",
"question_id": 123,
"attribute_values": [],
"assets": [],
"in_favorites": false,
"promo_codes": [
{
"id": "<string>",
"promo_code": "<string>",
"quantity": 123,
"discount_percent": 123,
"is_for_winner": true,
"expired_at": "2023-11-07T05:31:56Z"
}
],
"category": {
"id": 123,
"name": "<string>"
}
}
]Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get Store Products
